module seg_led_test();

	reg clk;
	reg rst_n;
	reg [15:0] display_num;
	wire [2:0] dtube_cs_n;
	wire [7:0] dtube_data;

	//----Code starts here: integrated by Robei-----
	initial begin
			clk = 'd0;
			rst_n = 'd0;
			#50;
			@(posedge clk) rst_n = 'd1;
			#500;
			display_num = 16'h3322;
			#10000;
			$finish;
	end
	
	always begin
			#1;
			clk <= ~clk;
	end
	
	
	initial begin
		$dumpfile ("F:/Robei_competition_common_ip/common_use_type/38seg_dynamic/seg_led_test.vcd");
		$dumpvars;
	end
	//---Module instantiation---
	seg_led seg_led1(
		.clk(clk),
		.rst_n(rst_n),
		.display_num(display_num),
		.dtube_cs_n(dtube_cs_n),
		.dtube_data(dtube_data));

endmodule    //seg_led_test

